# include <XBoard/XBoardFeature.h>
using namespace Alice;
using namespace Alice::XBoard;

XBoardFeature::XBoardFeature(bool defaultValue, bool wtd)
  : current(defaultValue),
    wanted(wtd)
{

};

XBoardFeature::operator bool() const
{
  return current;
};

void
XBoardFeature::accept()
{
  current = wanted;
};

bool
XBoardFeature::isAccepted() const
{
  return current == wanted;
};

